Bug 169917 - restore doesnt get all files
restore doesnt get all files
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2005-10-05 00:48 EDT by Dan Christian
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-26 04:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Christian 2005-10-05 00:48:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When restoring a large file list, pilot-xfer -r fails to restore all files.

If you log the output, there are 130 "Restoring..." lines, but there are 178 files (160 pdb and 18 prc).

When you check the Home screen, there are applications missing.

Why so many files?  It's an iQue with GPS built in.  There are 119 pdb files that make up the base map for the GPS.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a backup directory with lots of databases
2. pilot-xfer -r .
3. Check if everything got transferred.

Actual Results:  Multiple applications are missing, and there is no output saying that they were restored (even though they are in the directory).

Expected Results:  All file restored.

Additional info:

This happened on an iQue 3600 (from Garmin), which shows up as a Treo.
Comment 1 Dan Christian 2005-10-06 01:43:18 EDT
I moved the basemap databases aside, and it still failed to load everything.  So
it isn't a file count issue.  It doesn't seem to be related to (unsorted) file

It failed to load Kalc, Keyring (and friends), and BigClock.  These are all the
extras that I added.  It did load Hours.

Comment 2 Ivana Varekova 2006-11-28 08:42:45 EST
Could you please try to reproduce your bug this the latest version of pilot-link
Comment 3 Ivana Varekova 2007-07-26 04:28:14 EDT
Unfortunately there's not enough information here, therefore closing this
bugzilla. Please re-open if needed.

Note You need to log in before you can comment on or make changes to this bug.